## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XercesBridgeHelper Class Reference

This class is deprecated. More...

List of all members.

## Public Types

- typedef unsigned int XercesStringLengthType

## Static Public Member Functions

- const DOMStringType XalanDOMStringToXercesDOMString (const XalanDOMString &theString)
- void setNodeValue (DOM_NodeType &theXercesNode, const XalanDOMString &nodeValue)
- void normalize (DOM_NodeType &theXercesNode)
- bool isSupported (const DOM_NodeType &theXercesNode, const XalanDOMString &feature, const XalanDOMString &version)
- void setPrefix (DOM_NodeType &theXercesNode, const XalanDOMString &prefix)
- const XalanDOMString substringData (const DOM_CharacterDataType &theXercesNode, unsigned int offset, unsigned int count)
- void appendData (DOM_CharacterDataType &theXercesNode, const XalanDOMString &arg)
- void insertData (DOM_CharacterDataType &theXercesNode, unsigned int offset, const XalanDOMString &arg)
- void deleteData (DOM_CharacterDataType &theXercesNode, unsigned int offset, unsigned int count)
- void replaceData (DOM_CharacterDataType &theXercesNode, unsigned int offset, unsigned int count, const XalanDOMString &arg)

## Detailed Description

This class is deprecated.

Deprecated:
  This class is part of the deprecated Xerces DOM bridge.

## Member Typedef Documentation

typedef unsigned int XercesBridgeHelper::XercesStringLengthType

## Member Function Documentation

void XercesBridgeHelper::appendData | ( | DOM_CharacterDataType & | theXercesNode,
|  | const XalanDOMString & | arg
| ) | `[static]`

void XercesBridgeHelper::deleteData | ( | DOM_CharacterDataType & | theXercesNode,
|  | unsigned int | offset,
|  | unsigned int | count
| ) | `[static]`

void XercesBridgeHelper::insertData | ( | DOM_CharacterDataType & | theXercesNode,
|  | unsigned int | offset,
|  | const XalanDOMString & | arg
| ) | `[static]`

bool XercesBridgeHelper::isSupported | ( | const DOM_NodeType & | theXercesNode,
|  | const XalanDOMString & | feature,
|  | const XalanDOMString & | version
| ) | `[static]`

void XercesBridgeHelper::normalize | ( | DOM_NodeType & | theXercesNode | ) | `[static]`

void XercesBridgeHelper::replaceData | ( | DOM_CharacterDataType & | theXercesNode,
|  | unsigned int | offset,
|  | unsigned int | count,
|  | const XalanDOMString & | arg
| ) | `[static]`

void XercesBridgeHelper::setNodeValue | ( | DOM_NodeType & | theXercesNode,
|  | const XalanDOMString & | nodeValue
| ) | `[static]`

void XercesBridgeHelper::setPrefix | ( | DOM_NodeType & | theXercesNode,
|  | const XalanDOMString & | prefix
| ) | `[static]`

const XalanDOMString XercesBridgeHelper::substringData | ( | const DOM_CharacterDataType & | theXercesNode,
|  | unsigned int | offset,
|  | unsigned int | count
| ) | `[static]`

const DOMStringType XercesBridgeHelper::XalanDOMStringToXercesDOMString | ( | const XalanDOMString & | theString | ) | `[static]`

The documentation for this class was generated from the following file:

- XercesBridgeHelper.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.